--- include/dx/arch.h~	2006-06-29 08:53:52.000000000 -0700
+++ include/dx/arch.h	2018-11-03 18:29:26.000000000 -0700
@@ -202,7 +202,7 @@
 
 /* Macos X - typically on Apple hardware
  */
-#ifdef macos
+#ifdef __APPLE__
 
 /* #define trunc(value) ((float)((int)(value))) - trunc now defined in OS 10.2 */
 
--- src/exec/dxmods/_compoper.c~	2006-08-04 07:52:23.000000000 -0700
+++ src/exec/dxmods/_compoper.c	2018-11-03 18:31:44.000000000 -0700
@@ -2471,7 +2471,7 @@
 #   define rint(x) ((float)((int)((x) + 0.5)))
 #   define trunc(x) ((float)((int)(x)))
 #endif
-#ifdef macos
+#ifdef __APPLE__
 #   define trunc(x) ((float)((int)(x)))
 #endif
 #define SIGN(x) ((x) >= 0? (1): (-1))
--- src/exec/dxmods/_compoper1.c~	2001-05-07 14:29:01.000000000 -0700
+++ src/exec/dxmods/_compoper1.c	2018-11-03 18:32:40.000000000 -0700
@@ -480,7 +480,7 @@
 #   define rint(x) ((float)((int)((x) + 0.5)))
 #   define trunc(x) ((float)((int)(x)))
 #endif
-#ifdef macos
+#ifdef __APPLE__
 #   define trunc(x) ((float)((int)(x)))
 #endif
 #define SIGN(x) ((x) >= 0? (1): (-1))
--- src/exec/dxmods/import_hdf.c~	2006-02-16 16:38:07.000000000 -0700
+++ src/exec/dxmods/import_hdf.c	2018-11-03 18:33:53.000000000 -0700
@@ -70,7 +70,7 @@
 #include <hdf/dfsd.h>
 #endif
 
-#if !defined(macos)
+#if !defined(__APPLE__)
 #include <ctype.h>
 #endif
 
--- src/exec/libdx/mem.c~	2006-01-05 15:55:49.000000000 -0700
+++ src/exec/libdx/mem.c	2018-11-03 18:36:16.000000000 -0700
@@ -556,7 +556,7 @@
 
 #endif   /* ibm6000, solaris, sgi, alpha, hp700 */
 
-#if defined(macos)
+#if defined(__APPLE__)
 #define memroutines
 
 /* Still need to write shared memory routines */
@@ -581,7 +581,7 @@
 
     return base;
 }
-#endif /* defined(macos) */
+#endif /* defined(__APPLE__) */
 
 
 #if defined(intelnt) || defined(WIN32)
@@ -935,7 +935,7 @@
 
 #if !defined(os2) && !defined(intelnt) && !defined(WIN32)
 
-#if !defined(cygwin) && !defined(macos)
+#if !defined(cygwin) && !defined(__APPLE__)
 extern int end;   /* filled in by linker */
 #endif
 
@@ -959,11 +959,11 @@
 	m = MEM_DATASEG;
 
     if (x == ERR_PTR) {
-#if !(defined(cygwin) || defined (macos))
+#if !(defined(cygwin) || defined (__APPLE__))
 	unsigned int i;
 #endif
 	x = (Pointer)sbrk(0);
-#if defined(cygwin) || defined (macos)
+#if defined(cygwin) || defined (__APPLE__)
 	DXSetError(ERROR_NO_MEMORY, 
 		"cannot expand the data segment by %u bytes", n);
 #else
@@ -1053,7 +1053,7 @@
  * in case something bad happens.  or print it out with Usage("memory info");
  */
 
-#if !defined(cygwin) && !defined(macos)
+#if !defined(cygwin) && !defined(__APPLE__)
 extern int end;   /* filled in by linker */
 #endif
 
@@ -1082,7 +1082,7 @@
 		      i+1, alloc_addr_start[i], 
 		      (ulong)SUB_PTR(alloc_addr_end[i], alloc_addr_start[i]));
 	
-#if !defined(cygwin) && !defined(macos)
+#if !defined(cygwin) && !defined(__APPLE__)
 	DXMessage("end address = 0x%08x, data segment extended by %lu bytes", 
 		  alloc_addr_end[i-1],
 		  (ulong)SUB_PTR(alloc_addr_end[i-1], &end));
--- src/exec/libdx/memory.c~	2006-08-21 09:42:42.000000000 -0700
+++ src/exec/libdx/memory.c	2018-11-03 20:06:44.000000000 -0700
@@ -75,7 +75,7 @@
 #include <sys/sysctl.h>
 #endif
 
-#if defined(macos)
+#if defined(__APPLE__)
 #include <mach/mach.h>
 #include <sys/param.h>
 extern mach_port_t host_self(void);
@@ -1129,7 +1129,7 @@
 #define LARGE(x) ((ulong)x>=(ulong)large)
 #endif
 
-#if defined(macos)
+#if defined(__APPLE__)
 #define initvalues
 #define SMALL_BASE    0               /* use data segment */
 #define SMALL_GET     _dxfgetmem      /* expand by using DosSetMem */
@@ -1504,7 +1504,7 @@
   physmem=hw_physmem/(1024*1024);
 #endif
 
-#if defined(macos)
+#if defined(__APPLE__)
 	kern_return_t		ret;
 	struct host_basic_info	basic_info;
 	unsigned int		count=HOST_BASIC_INFO_COUNT;
--- src/exec/libdx/timing.c~	2006-01-05 15:55:49.000000000 -0700
+++ src/exec/libdx/timing.c	2018-11-03 20:07:56.000000000 -0700
@@ -223,7 +223,7 @@
     while (DXGetTime() - old < seconds)
 	continue;
 
-#elif ibm6000 || sun4 || macos || linux || freebsd || cygwin
+#elif ibm6000 || sun4 || defined(__APPLE__) || linux || freebsd || cygwin
 
     usleep((int)(1000000.0 * seconds));
 
--- src/uipp/base/StartWebBrowser.C~	2005-12-16 14:11:51.000000000 -0700
+++ src/uipp/base/StartWebBrowser.C	2018-11-03 20:09:06.000000000 -0700
@@ -12,7 +12,7 @@
 #include <string.h>
 #include <stdio.h>
 
-#if defined(macos)
+#if defined(__APPLE__)
 #include <ApplicationServices/ApplicationServices.h>
 #endif
 
@@ -87,7 +87,7 @@
 int _dxf_StartWebBrowserWithURL(char *URL) {
     char *webApp = getenv("DX_WEB_BROWSER");
 
-#if defined(macos)
+#if defined(__APPLE__)
     if(webApp) {
         OSStatus oss;
         CFURLRef outAppURL;
--- src/uipp/dxl/conn.c~	2006-05-08 09:20:08.000000000 -0700
+++ src/uipp/dxl/conn.c	2018-11-03 20:10:20.000000000 -0700
@@ -110,7 +110,7 @@
 #include <io.h>
 #endif
 
-#if defined(macos)
+#if defined(__APPLE__)
 #include <crt_externs.h>
 #endif
 
@@ -297,7 +297,7 @@
   #endif
     int i, n;
     char *c, *s;
-#if defined(macos)
+#if defined(__APPLE__)
     char **environ = *_NSGetEnviron();
 #else
     extern char **environ;
--- src/uipp/dxuilib/CMDefaultResources.h~	2002-03-01 17:17:44.000000000 -0700
+++ src/uipp/dxuilib/CMDefaultResources.h	2018-11-03 20:11:50.000000000 -0700
@@ -200,7 +200,7 @@
 #else
     "*cmeDeleteSelectedOption.acceleratorText:          Ctrl+Delete",
 #endif
-#if defined(macos) || defined(intelnt)
+#if defined(__APPLE__) || defined(intelnt)
     "*cmeDeleteSelectedOption.accelerator:              Ctrl<Key>BackSpace",
 #elif defined(aviion)
     "*cmeDeleteSelectedOption.accelerator:              Ctrl<Key>Delete",
--- src/uipp/dxuilib/DXWDefaultResources.h~	2003-07-11 17:12:20.000000000 -0700
+++ src/uipp/dxuilib/DXWDefaultResources.h	2018-11-03 20:12:47.000000000 -0700
@@ -88,7 +88,7 @@
 #if defined(aviion)
     "*endExecutionOption.accelerator:             Ctrl<Key>End",
     "*endExecutionOption.acceleratorText:         Ctrl+End",
-#elif defined(macos)
+#elif defined(__APPLE__)
     "*endExecutionOption.accelerator:			Ctrl <Key>period",
     "*endExecutionOption.acceleratorText:		Ctrl+.",
 #else
--- src/uipp/dxuilib/EWDefaultResources.h~	2003-07-11 17:12:20.000000000 -0700
+++ src/uipp/dxuilib/EWDefaultResources.h	2018-11-03 20:13:57.000000000 -0700
@@ -445,7 +445,7 @@
 #else
     "*vpeDeleteOption.acceleratorText:               	Ctrl+Delete",
 #endif
-#if defined(macos) || defined(intelnt)
+#if defined(__APPLE__) || defined(intelnt)
     "*vpeDeleteOption.accelerator:                   	Ctrl<Key>BackSpace",
 #elif defined(aviion)
     "*vpeDeleteOption.accelerator:			Ctrl<Key>Delete",
--- src/uipp/dxuilib/PacketIF.C~	2006-06-29 11:58:46.000000000 -0700
+++ src/uipp/dxuilib/PacketIF.C	2018-11-03 20:15:03.000000000 -0700
@@ -1586,7 +1586,7 @@
 	int fd;
 	int sts;
 	int oldPort;
-#if !defined(linux) && !defined(cygwin) && !defined(freebsd) && !defined(macos) && !defined(solaris)
+#if !defined(linux) && !defined(cygwin) && !defined(freebsd) && !defined(__APPLE__) && !defined(solaris)
 	extern int errno;
 #endif
 	int tries;
--- src/uipp/dxuilib/Parse.h~	2002-02-06 12:13:40.000000000 -0700
+++ src/uipp/dxuilib/Parse.h	2018-11-03 20:15:56.000000000 -0700
@@ -32,7 +32,7 @@
 extern "C" {
 #endif
 
-#if defined(macos)
+#if defined(__APPLE__)
 #define YYINITDEPTH 10
 #endif
 
--- src/uipp/startup/StartupWindow.C~	2006-01-06 16:12:14.000000000 -0700
+++ src/uipp/startup/StartupWindow.C	2018-11-03 20:17:06.000000000 -0700
@@ -65,7 +65,7 @@
 // On these platforms, the pipe doesn't work that way so we'll make a
 // polling loop that runs once every few seconds and checks the child pid.
 //
-#if defined(ibm6000) || defined(hp700) || defined(alphax) || defined(sun4) || defined(linux) || defined(cygwin) || defined(freebsd) || defined(macos)
+#if defined(ibm6000) || defined(hp700) || defined(alphax) || defined(sun4) || defined(linux) || defined(cygwin) || defined(freebsd) || defined(__APPLE__)
 #define USE_WAIT3 1
 #endif
 
--- acinclude.m4~	2006-05-25 16:34:52.000000000 -0700
+++ acinclude.m4	2018-11-03 20:27:52.000000000 -0700
@@ -197,7 +197,6 @@
     ARCH=$ac_cv_dx_arch
     AC_MSG_RESULT($ARCH)
     AC_SUBST(ARCH)
-    AC_DEFINE_UNQUOTED($ARCH)
     AC_DEFINE_UNQUOTED(DXD_ARCHNAME, "$ARCH", [define architecture name])
 ])
 
--- src/exec/libdx/qmessage.c~	2003-07-11 17:12:11.000000000 -0700
+++ src/exec/libdx/qmessage.c	2018-11-03 20:34:10.000000000 -0700
@@ -122,7 +122,7 @@
 }
 
 
-#if !defined(pgcc) && !defined(intelnt) && !defined(WIN32) && !defined(macos)
+#if !defined(pgcc) && !defined(intelnt) && !defined(WIN32) && !defined(__APPLE__)
 #if DXD_OS2_SYSCALL
 void _Optlink
 #else
--- src/uipp/dxuilib/CPDefaultResources.h~	2002-03-01 17:17:44.000000000 -0700
+++ src/uipp/dxuilib/CPDefaultResources.h	2018-11-03 20:35:36.000000000 -0700
@@ -180,7 +180,7 @@
 #else
     "*panelDeleteOption.acceleratorText:                  Ctrl+Delete",
 #endif
-#if defined(macos) || defined(intelnt)
+#if defined(__APPLE__) || defined(intelnt)
     "*panelDeleteOption.accelerator:                      Ctrl<Key>BackSpace",
 #elif defined(aviion)
     "*panelDeleteOption.accelerator:                      Ctrl<Key>Delete",
--- src/uipp/dxuilib/MWDefaultResources.h~	2002-03-01 17:17:45.000000000 -0700
+++ src/uipp/dxuilib/MWDefaultResources.h	2018-11-03 20:36:32.000000000 -0700
@@ -87,7 +87,7 @@
 #else
     "*msgClearOption.acceleratorText:   Ctrl+Delete",
 #endif
-#if defined(macos) || defined(intelnt)
+#if defined(__APPLE__) || defined(intelnt)
     "*msgClearOption.accelerator:       Ctrl<Key>BackSpace",
 #elif defined(aviion)
     "*msgClearOption.accelerator:       Ctrl<Key>Delete",
--- src/misc/Makefile.am~	2003-07-11 17:12:13.000000000 -0700
+++ src/misc/Makefile.am	2018-11-03 20:44:51.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${top_srcdir}/include -D@ARCH@
+INCLUDES = -I${top_srcdir}/include
 
 dxbindir = $(prefix)/bin
 noinst_PROGRAMS = dxlocal
--- src/misc/Makefile.in~	2006-08-21 14:58:55.000000000 -0700
+++ src/misc/Makefile.in	2018-11-03 20:44:45.000000000 -0700
@@ -223,7 +223,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -D@ARCH@
+INCLUDES = -I${top_srcdir}/include
 dxbindir = $(prefix)/bin
 archmakdir = $(prefix)/dx/lib_$(ARCH)
 archmak_DATA = arch.mak
--- src/uipp/prompter/Makefile.am~	2003-11-03 21:20:14.000000000 -0700
+++ src/uipp/prompter/Makefile.am	2018-11-03 20:48:26.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES =  -I${srcdir}/../base -I${top_srcdir}/include -D@ARCH@
+INCLUDES =  -I${srcdir}/../base -I${top_srcdir}/include
 
 dxbindir = $(prefix)/dx/bin_@ARCH@
 
--- src/uipp/prompter/Makefile.in~	2006-08-21 14:58:58.000000000 -0700
+++ src/uipp/prompter/Makefile.in	2018-11-03 20:48:40.000000000 -0700
@@ -233,7 +233,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include -D@ARCH@
+INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include
 dxbindir = $(prefix)/dx/bin_@ARCH@
 noinst_HEADERS = \
 	Browser.h \
--- src/uipp/dxl/Makefile.am~	2003-07-11 17:12:16.000000000 -0700
+++ src/uipp/dxl/Makefile.am	2018-11-03 20:47:31.000000000 -0700
@@ -5,7 +5,7 @@
 MICRO_VERSION=@MICRO_VERSION@
 
 
-INCLUDES = -I${top_srcdir}/include  -D@ARCH@
+INCLUDES = -I${top_srcdir}/include
 
 dxlibdir = $(prefix)/dx/lib_@ARCH@
 
--- src/uipp/java/Makefile.am~	2006-03-27 11:06:09.000000000 -0700
+++ src/uipp/java/Makefile.am	2018-11-03 20:48:07.000000000 -0700
@@ -165,7 +165,7 @@
 	        -c -Dintelnt $(JNI_CFLAGS) @JINC@ $(srcdir)/server/DXLink.c ; \
 	else \
 		$(CC) $(DXABI) -o $$javaobj/DXLink.o -I$$srcincs -Iserver \
-		-I$(BUILDBASE)/include -c -D@ARCH@ $(JNI_CFLAGS) @JINC@ $(srcdir)/server/DXLink.c ; \
+		-I$(BUILDBASE)/include $(JNI_CFLAGS) @JINC@ $(srcdir)/server/DXLink.c ; \
 	fi ;
 
 ##SAMPLE_OBJS = AS400VSMonth.class AutoInsurance.class CCNet2.class \
--- src/uipp/java/Makefile.in~	2006-08-21 14:58:56.000000000 -0700
+++ src/uipp/java/Makefile.in	2018-11-03 20:48:14.000000000 -0700
@@ -715,7 +715,7 @@
 	        -c -Dintelnt $(JNI_CFLAGS) @JINC@ $(srcdir)/server/DXLink.c ; \
 	else \
 		$(CC) $(DXABI) -o $$javaobj/DXLink.o -I$$srcincs -Iserver \
-		-I$(BUILDBASE)/include -c -D@ARCH@ $(JNI_CFLAGS) @JINC@ $(srcdir)/server/DXLink.c ; \
+		-I$(BUILDBASE)/include -c $(JNI_CFLAGS) @JINC@ $(srcdir)/server/DXLink.c ; \
 	fi ;
 
 distclean-local:
--- src/uipp/tutor/Makefile.am~	2003-07-11 17:12:29.000000000 -0700
+++ src/uipp/tutor/Makefile.am	2018-11-03 20:48:51.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base
 
 dxbindir = $(prefix)/dx/bin_@ARCH@
 
--- src/uipp/tutor/Makefile.in~	2006-08-21 14:58:58.000000000 -0700
+++ src/uipp/tutor/Makefile.in	2018-11-03 20:48:55.000000000 -0700
@@ -217,7 +217,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base
 dxbindir = $(prefix)/dx/bin_@ARCH@
 tutor_SOURCES = \
 	Main.C                          \
--- src/uipp/mb/Makefile.am~	2003-08-20 07:21:33.000000000 -0700
+++ src/uipp/mb/Makefile.am	2018-11-03 20:48:19.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base -I${srcdir}/../widgets -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base -I${srcdir}/../widgets
 
 dxbindir = $(prefix)/dx/bin_@ARCH@
 
--- src/uipp/mb/Makefile.in~	2006-08-21 14:58:58.000000000 -0700
+++ src/uipp/mb/Makefile.in	2018-11-03 20:48:23.000000000 -0700
@@ -220,7 +220,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base -I${srcdir}/../widgets -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base -I${srcdir}/../widgets
 dxbindir = $(prefix)/dx/bin_@ARCH@
 builder_SOURCES = \
 	MBApplication.C			\
--- src/uipp/dxuilib/Makefile.am~	2004-05-24 12:05:22.000000000 -0700
+++ src/uipp/dxuilib/Makefile.am	2018-11-03 20:47:51.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES =  -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxui -D@ARCH@
+INCLUDES =  -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxui
 
 noinst_LIBRARIES = libDXUI.a
 
--- src/uipp/dxuilib/Makefile.in~	2006-08-21 14:58:56.000000000 -0700
+++ src/uipp/dxuilib/Makefile.in	2018-11-03 20:47:56.000000000 -0700
@@ -308,7 +308,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxui -D@ARCH@
+INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxui
 noinst_LIBRARIES = libDXUI.a
 DISTCLEANFILES = netlex.c netyacc.c lex.yy.c 
 CLEANFILES = dxmac.h gifmac.h imagemac.h vrmlmac.h
--- src/uipp/dxui/Makefile.am~	2003-07-11 17:12:17.000000000 -0700
+++ src/uipp/dxui/Makefile.am	2018-11-03 20:47:46.000000000 -0700
@@ -1,6 +1,6 @@
 
 
-INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxuilib -D@ARCH@
+INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxuilib
 
 dxbindir = $(prefix)/dx/bin_@ARCH@
 dxbin_PROGRAMS = dxui
--- src/uipp/dxui/Makefile.in~	2006-08-21 14:58:56.000000000 -0700
+++ src/uipp/dxui/Makefile.in	2018-11-03 20:47:48.000000000 -0700
@@ -278,7 +278,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxuilib -D@ARCH@
+INCLUDES = -I${srcdir}/../base -I${top_srcdir}/include -I${srcdir}/../dxuilib
 dxbindir = $(prefix)/dx/bin_@ARCH@
 HDRS1 = \
 	ColormapDefinition.h \
--- src/uipp/startup/Makefile.am~	2003-07-11 17:12:29.000000000 -0700
+++ src/uipp/startup/Makefile.am	2018-11-03 20:48:43.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES =  -I${top_srcdir}/include -I${srcdir}/../base -D@ARCH@
+INCLUDES =  -I${top_srcdir}/include -I${srcdir}/../base
 
 dxbindir = $(prefix)/dx/bin_@ARCH@
 
--- src/uipp/startup/Makefile.in~	2006-08-21 14:58:58.000000000 -0700
+++ src/uipp/startup/Makefile.in	2018-11-03 20:48:47.000000000 -0700
@@ -219,7 +219,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../base
 dxbindir = $(prefix)/dx/bin_@ARCH@
 startupui_SOURCES = \
 	NetFileDialog.C			\
--- src/uipp/base/Makefile.am~	2003-07-11 17:12:14.000000000 -0700
+++ src/uipp/base/Makefile.am	2018-11-03 20:47:14.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${srcdir}/../widgets -I${top_srcdir}/include -D@ARCH@
+INCLUDES = -I${srcdir}/../widgets -I${top_srcdir}/include
 
 noinst_LIBRARIES = libBASE.a
 
--- src/uipp/base/Makefile.in~	2006-08-21 14:58:55.000000000 -0700
+++ src/uipp/base/Makefile.in	2018-11-03 20:47:21.000000000 -0700
@@ -259,7 +259,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${srcdir}/../widgets -I${top_srcdir}/include -D@ARCH@
+INCLUDES = -I${srcdir}/../widgets -I${top_srcdir}/include
 noinst_LIBRARIES = libBASE.a
 EXTRA_DIST = \
 	minus.bm \
--- src/uipp/widgets/Makefile.am~	2000-06-08 19:46:28.000000000 -0700
+++ src/uipp/widgets/Makefile.am	2018-11-03 20:46:22.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../widgets -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../widgets
 
 noinst_LIBRARIES = libWIDGETS.a
 
--- src/uipp/widgets/Makefile.in~	2006-08-21 14:58:59.000000000 -0700
+++ src/uipp/widgets/Makefile.in	2018-11-03 20:46:15.000000000 -0700
@@ -224,7 +224,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../widgets -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../widgets
 noinst_LIBRARIES = libWIDGETS.a
 noinst_HEADERS = \
 	Color.h \
--- src/exec/libdx/Makefile.am~	2006-03-27 11:56:53.000000000 -0700
+++ src/exec/libdx/Makefile.am	2018-11-03 20:47:02.000000000 -0700
@@ -4,8 +4,8 @@
 MINOR_VERSION=@MINOR_VERSION@
 MICRO_VERSION=@MICRO_VERSION@
 
-#INCLUDES = -I../../../include  -D@ARCH@
-INCLUDES = -I${top_srcdir}/include  -D@ARCH@
+#INCLUDES = -I../../../include
+INCLUDES = -I${top_srcdir}/include
 
 dxlibdir = $(prefix)/dx/lib_@ARCH@
 
--- src/exec/libdx/Makefile.in~	2006-08-21 14:58:55.000000000 -0700
+++ src/exec/libdx/Makefile.in	2018-11-03 20:47:09.000000000 -0700
@@ -276,8 +276,8 @@
 target_alias = @target_alias@
 yakker = @yakker@
 
-#INCLUDES = -I../../../include  -D@ARCH@
-INCLUDES = -I${top_srcdir}/include  -D@ARCH@
+#INCLUDES = -I../../../include
+INCLUDES = -I${top_srcdir}/include
 dxlibdir = $(prefix)/dx/lib_@ARCH@
 noinst_LTLIBRARIES = libLIBDX.la libcallm.la libmem.la
 #dxlib_LIBRARIES = libDXlite.a 
--- src/exec/dpexec/Makefile.am~	2004-08-19 16:02:11.000000000 -0700
+++ src/exec/dpexec/Makefile.am	2018-11-03 20:46:27.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx
 
 noinst_LTLIBRARIES = libDPEXEC.la libDPEXECclm.la
 
--- src/exec/dpexec/Makefile.in~	2006-08-21 14:58:53.000000000 -0700
+++ src/exec/dpexec/Makefile.in	2018-11-03 20:46:31.000000000 -0700
@@ -226,7 +226,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx
 noinst_LTLIBRARIES = libDPEXEC.la libDPEXECclm.la
 SUFFIXES = .m .y .c .s .h .o .a 
 BUILT_SOURCES = compile.h
--- src/exec/hwrender/Makefile.am~	2003-07-11 17:12:06.000000000 -0700
+++ src/exec/hwrender/Makefile.am	2018-11-03 20:46:48.000000000 -0700
@@ -2,7 +2,7 @@
 
 SUBDIRS = opengl gl xgl starbase
 
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx
 
 noinst_LTLIBRARIES = libHW.la
 
--- src/exec/hwrender/Makefile.in~	2006-08-21 14:58:54.000000000 -0700
+++ src/exec/hwrender/Makefile.in	2018-11-03 20:46:52.000000000 -0700
@@ -229,7 +229,7 @@
 target_alias = @target_alias@
 yakker = @yakker@
 SUBDIRS = opengl gl xgl starbase
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../libdx
 noinst_LTLIBRARIES = libHW.la
 SUFFIXES = .m .y .c .s .h .o .a 
 noinst_HEADERS = \
--- src/exec/dxmods/Makefile.am~	2003-08-18 15:51:10.000000000 -0700
+++ src/exec/dxmods/Makefile.am	2018-11-03 20:46:41.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../dpexec -I$(BUILDBASE)/include -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../dpexec -I$(BUILDBASE)/include
 
 dxmdfdir = $(prefix)/dx/lib
 noinst_LTLIBRARIES = libDXMODS.la libusercm.la libuser.la libDXMODSN.la
--- src/exec/dxmods/Makefile.in~	2006-08-21 14:58:53.000000000 -0700
+++ src/exec/dxmods/Makefile.in	2018-11-03 20:46:45.000000000 -0700
@@ -283,7 +283,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/../dpexec -I$(BUILDBASE)/include -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/../dpexec -I$(BUILDBASE)/include
 dxmdfdir = $(prefix)/dx/lib
 noinst_LTLIBRARIES = libDXMODS.la libusercm.la libuser.la libDXMODSN.la
 SUFFIXES = .c .y .c .s .h .o 
--- src/uipp/dxl/Makefile.in~	2006-08-21 14:58:56.000000000 -0700
+++ src/uipp/dxl/Makefile.in	2018-11-03 21:00:15.000000000 -0700
@@ -223,7 +223,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include  -D@ARCH@
+INCLUDES = -I${top_srcdir}/include
 dxlibdir = $(prefix)/dx/lib_@ARCH@
 noinst_HEADERS = \
 	dxlP.h \
--- src/exec/hwrender/opengl/Makefile.am~	2003-07-11 17:12:07.000000000 -0700
+++ src/exec/hwrender/opengl/Makefile.am	2018-11-03 21:00:19.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES =  -I${top_srcdir}/include -I${srcdir}/.. -I${srcdir}/../../libdx -D@ARCH@
+INCLUDES =  -I${top_srcdir}/include -I${srcdir}/.. -I${srcdir}/../../libdx
 
 noinst_LTLIBRARIES = libOPENGL.la
 
--- src/exec/hwrender/opengl/Makefile.in~	2006-08-21 14:58:54.000000000 -0700
+++ src/exec/hwrender/opengl/Makefile.in	2018-11-03 21:00:23.000000000 -0700
@@ -213,7 +213,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${top_srcdir}/include -I${srcdir}/.. -I${srcdir}/../../libdx -D@ARCH@
+INCLUDES = -I${top_srcdir}/include -I${srcdir}/.. -I${srcdir}/../../libdx
 noinst_LTLIBRARIES = libOPENGL.la
 SUFFIXES = .m .y .c .s .h .o .a 
 noinst_HEADERS = \
--- src/exec/dxexec/Makefile.am~	2006-01-11 09:24:39.000000000 -0700
+++ src/exec/dxexec/Makefile.am	2018-11-03 21:00:06.000000000 -0700
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-INCLUDES = -I${srcdir}/../dpexec -D@ARCH@
+INCLUDES = -I${srcdir}/../dpexec
 
 EXP=${top_srcdir}/lib/dxexec.exp
 WEXP=${top_srcdir}/lib/dxexec.def
--- src/exec/dxexec/Makefile.in~	2006-08-21 14:58:53.000000000 -0700
+++ src/exec/dxexec/Makefile.in	2018-11-03 21:00:00.000000000 -0700
@@ -220,7 +220,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 yakker = @yakker@
-INCLUDES = -I${srcdir}/../dpexec -D@ARCH@
+INCLUDES = -I${srcdir}/../dpexec
 EXP = ${top_srcdir}/lib/dxexec.exp
 WEXP = ${top_srcdir}/lib/dxexec.def
 noinst_LTLIBRARIES = libDXEXEC.la
